Template Numerical Library: TNL::Algorithms::SegmentsReductionKernels::CSRAdaptiveKernelView< Index, Device > Struct Template Reference

Template Numerical Library version\ main:be7e16d88

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
TNL::Algorithms::SegmentsReductionKernels::CSRAdaptiveKernelView< Index, Device > Struct Template Reference
Collaboration diagram for TNL::Algorithms::SegmentsReductionKernels::CSRAdaptiveKernelView< Index, Device >:
[legend]

## Public Types
using | BlocksType = TNL::Containers::Vector< detail::CSRAdaptiveKernelBlockDescriptor< Index >, Device, Index >
using | BlocksView = typename BlocksType::ViewType
using | ConstViewType = CSRAdaptiveKernelView< Index, Device >
using | DeviceType = Device
using | IndexType = Index
using | ViewType = CSRAdaptiveKernelView< Index, Device >

## Public Member Functions
__cuda_callable__ ConstViewType | getConstView () const
__cuda_callable__ ViewType | getView ()
CSRAdaptiveKernelView & | operator= (const CSRAdaptiveKernelView< Index, Device > &kernelView)=delete
void | printBlocks (int idx) const
template<typename SegmentsView, typename Fetch, typename Reduction, typename ResultKeeper, typename Value = typename detail::FetchLambdaAdapter< Index, Fetch >::ReturnType>
void | reduceAllSegments (const SegmentsView &segments, Fetch &fetch, const Reduction &reduction, ResultKeeper &keeper, const Value &identity=Reduction::template getIdentity< Value >()) const
template<typename SegmentsView, typename Fetch, typename Reduction, typename ResultKeeper, typename Value = typename detail::FetchLambdaAdapter< Index, Fetch >::ReturnType>
void | reduceSegments (const SegmentsView &segments, Index begin, Index end, Fetch &fetch, const Reduction &reduction, ResultKeeper &keeper, const Value &identity=Reduction::template getIdentity< Value >()) const
void | setBlocks (BlocksType &blocks, int idx)

## Static Public Member Functions
static std::string | getKernelType ()
static int | getSizeValueLog (const int &i)

## Static Public Attributes
static constexpr int | MaxValueSizeLog = detail::CSRAdaptiveKernelParameters<>::MaxValueSizeLog

## Protected Attributes
BlocksView | blocksArray [MaxValueSizeLog]

The documentation for this struct was generated from the following file:

- src/TNL/Algorithms/SegmentsReductionKernels/CSRAdaptiveKernelView.h